package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Finding.GetFinding(ctx, operations.C1APIFindingV1FindingServiceGetFindingRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.GetFindingResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.finding.getFinding({
id: "<id>",
});
console.log(result);
}
run();curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/findings/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/findings/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/findings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"expanded": [
{
"@type": "<string>"
}
],
"finding": {
"appId": "<string>",
"appUserTarget": {
"appId": "<string>",
"appUserId": "<string>"
},
"assignedOwner": {
"appOwnerAppId": "<string>",
"identityUserId": "<string>",
"managerOfUserId": "<string>",
"userSetId": "<string>"
},
"computedOwner": {
"appOwnerAppId": "<string>",
"identityUserId": "<string>",
"managerOfUserId": "<string>",
"userSetId": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"customTags": {},
"decoyCredentialUsed": {
"decoyId": "<string>"
},
"decoyTarget": {
"decoyId": "<string>"
},
"fingerprint": "<string>",
"firstObservedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"identityUserTarget": {
"identityUserId": "<string>"
},
"lastObservedAt": "2023-11-07T05:31:56Z",
"recurrenceCount": 123,
"remediationDescription": "<string>",
"resolvedAt": "2023-11-07T05:31:56Z",
"riskAcceptanceExpiresAt": "2023-11-07T05:31:56Z",
"riskAcceptanceJustification": "<string>",
"riskScore": {
"originalScore": 123,
"overrideByUserId": "<string>",
"overrideScore": 123,
"riskFactors": [
{
"description": "<string>",
"name": "<string>",
"weight": 123
}
],
"score": 123,
"systemScore": 123
},
"serviceAccountMisclassification": {},
"serviceAccountMisclassificationEvidence": {
"detectionReason": "<string>"
},
"similarUsernameMatch": {
"proposedIdentityUserId": "<string>"
},
"similarUsernameMatchEvidence": {
"appUsername": "<string>",
"identityUsername": "<string>",
"similarityScore": 123
},
"snoozeReason": "<string>",
"snoozeUntil": "2023-11-07T05:31:56Z",
"sourceDetectorId": "<string>",
"stateUpdatedById": "<string>",
"suppressReason": "<string>",
"taskId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Get Finding
Get a single finding by ID.
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Finding.GetFinding(ctx, operations.C1APIFindingV1FindingServiceGetFindingRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.GetFindingResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.finding.getFinding({
id: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The ID of the finding to retrieve.
Response
Successful response
The GetFindingResponse message.
The expanded field.
Show child attributes
Show child attributes
The Finding message.
This message contains a oneof named finding_type. Only a single field of the following list may be set at a time:
- similarUsernameMatch
- serviceAccountMisclassification
- decoyCredentialUsed
This message contains a oneof named target. Only a single field of the following list may be set at a time:
- identityUserTarget
- appUserTarget
- decoyTarget
This message contains a oneof named evidence. Only a single field of the following list may be set at a time:
- similarUsernameMatchEvidence
- serviceAccountMisclassificationEvidence
Show child attributes
Show child attributes
Was this page helpful?